﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
  </PropertyGroup>
  <ItemGroup>

    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="3.1.0" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="2.2.0" />
    <PackageReference Include="Microsoft.AspNetCore.Antiforgery" Version="2.2.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="3.1.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="3.1.0" />
    <PackageReference Include="NLog.Web.AspNetCore" Version="4.9.0" />
    <PackageReference Include="NLog" Version="4.6.7" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="5.0.0-rc5" />
    <PackageReference Include="AutoMapper" Version="9.0.0" />
    <PackageReference Include="AutoMapper.Extensions.Microsoft.DependencyInjection" Version="7.0.0" />
    <PackageReference Include="Swashbuckle.AspNetCore.Swagger" Version="5.0.0" />
    <PackageReference Include="System.Data.SqlClient" Version="4.4.0" />
  

  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Semicolon.Common\Semicolon.Common.csproj" />
    <ProjectReference Include="..\Semicolon.Domain\Semicolon.Domain.csproj" />
    <ProjectReference Include="..\Semicolon.DataLayer\Semicolon.DataLayer.csproj" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Api\" />
  </ItemGroup>
</Project>
